- [HTTP request](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#body.VoiceOfMerchantState.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#body.aspect)
- [WaitForVoiceOfMerchant](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#WaitForVoiceOfMerchant)
- [Verify](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#Verify)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#Verify.SCHEMA_REPRESENTATION)
- [ResolveOwnershipConflict](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#ResolveOwnershipConflict)
- [ComplyWithGuidelines](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#ComplyWithGuidelines)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#ComplyWithGuidelines.SCHEMA_REPRESENTATION)
- [RecommendationReason](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/getVoiceOfMerchantState.md.txt#RecommendationReason)

Gets the VoiceOfMerchant state.

### HTTP request

`GET https://mybusinessverifications.googleapis.com/v1/{name=locations/*}/VoiceOfMerchantState`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the location. |

### Request body

The request body must be empty.

### Response body

Response message for VoiceOfMerchant.GetVoiceOfMerchantState.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "hasVoiceOfMerchant": boolean, "hasBusinessAuthority": boolean, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "waitForVoiceOfMerchant": { object (`WaitForVoiceOfMerchant`) }, "verify": { object (`Verify`) }, "resolveOwnershipConflict": { object (`ResolveOwnershipConflict`) }, "complyWithGuidelines": { object (`ComplyWithGuidelines`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `hasVoiceOfMerchant` | `boolean` Indicates whether the location is in good standing and has control over the business on Google. Any edits made to the location will propagate to Maps after passing the review phase. |
| `hasBusinessAuthority` | `boolean` Indicates whether the location has the authority (ownership) over the business on Google. If true, another location cannot take over and become the dominant listing on Maps. However, edits will not become live unless Voice of Merchant is gained (i.e. hasVoiceOfMerchant is true). |
| Action recommended to the location to gain control over the business on Google. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `waitForVoiceOfMerchant` | ``object (`WaitForVoiceOfMerchant`)`` Wait to gain Voice of Merchant. The location is under review for quality purposes. |
| `verify` | ``object (`Verify`)`` Start or continue the verification process. |
| `resolveOwnershipConflict` | ``object (`ResolveOwnershipConflict`)`` This location duplicates another location that is in good standing. If you have access to the location in good standing, use that location's id to perform operations. Otherwise, request access from the current owner. |
| `complyWithGuidelines` | ``object (`ComplyWithGuidelines`)`` The location fails to comply with our [guidelines](https://support.google.com/business/answer/3038177) and requires additional steps for reinstatement. To fix this issue, consult the [Help Center Article](https://support.google.com/business/answer/4569145). |
| End of mutually exclusive fields. ||

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## WaitForVoiceOfMerchant

This type has no fields.
Indicates that the location will gain voice of merchant after passing review.

## Verify

Indicates that the location requires verification. Contains information about the current verification actions performed on the location.

| JSON representation |
|---|
| ``` { "hasPendingVerification": boolean } ``` |

| Fields ||
|---|---|
| `hasPendingVerification` | `boolean` Indicates whether a verification process has already started, and can be completed by the location. |

## ResolveOwnershipConflict

This type has no fields.
Indicates that the location duplicates another location that is in good standing.

## ComplyWithGuidelines

Indicates that the location fails to comply with our [guidelines](https://support.google.com/business/answer/3038177).

| JSON representation |
|---|
| ``` { "recommendationReason": enum (`RecommendationReason`) } ``` |

| Fields ||
|---|---|
| `recommendationReason` | ``enum (`RecommendationReason`)`` The reason why the location is being recommended to comply with guidelines. |

## RecommendationReason

Indicates why the location was recommended to ComplyWithGuidelines.

| Enums ||
|---|---|
| `RECOMMENDATION_REASON_UNSPECIFIED` | Not specified. |
| `BUSINESS_LOCATION_SUSPENDED` | The business location is suspended. To fix this issue, consult the [Help Center article](https://support.google.com/business/answer/4569145). |
| `BUSINESS_LOCATION_DISABLED` | The business location is disabled. To fix this issue, consult the [Help Center article](https://support.google.com/business/answer/9334246). |